{% extends "dashboard/base.html" %}
{% load i18n %}
{% load static %}
{% load bootstrap %}
{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Lista de Postulaciones" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="#">{% trans "Proyectos" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Lista de Postulaciones" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}
<div class="wrapper wrapper-content  animated fadeInRight">
    <div class="row">
        <div class="col-md-8">
            <div class="ibox">
                <div class="ibox-title blue-bg">
                    <h5 style="font-size:20px;">Lista de Proyectos</h5>
                </div>
                <div class="ibox-content">
                    <input type="text" class="form-control input-sm m-b-xs" id="filter"
                                   placeholder="Buscar propuesta de proyecto">
                    <div class="project-list" style="max-height: 750px; width: 100%; margin: 0; overflow-y: auto;">
                        <table class="table table-striped table-hover">
                           <tr>
                            <th>Logo</th>
                            <th>Título</th>
                            <th>Profesor</th>
                            <th>Cupos</th>
                            <th>Postulaciones</th>
                            </tr>
                            <tbody>
                            {% for project in Projects_AC %}
                            <tr>
                                <td class="col-md-1"> <img alt="image" class="img-circle img-responsive" src="{% static 'img/FaviconUNAB.png' %}"></td>
                                <td class="col-md-3">{{ project.name }}</td>
                                <td class="col-md-3">{{ project.guide_teacher }}</td>
                                <td class="project-completion">
                                    <small>Cupos disponibles: {{project.vacancy_available}}/{{project.vacancy_total}}</small>
                                    <div class="progress progress-mini">
                                        <div style="width: 50%;" class="progress-bar"></div>
                                    </div>
                                </td>
                                <td class="col-md-2 text-center">
                                    <button type="button" data-id={{project.pk}} class="btn btn-warning btn-sm detalle">
                                        <i class="fa fa-info-circle"></i> Pendientes 
                                    </button>
                                </td>
                            </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="ibox ">
                <div class="ibox-title blue-bg">
                    <h5 style="font-size:20px;" id="titulo"></h5>
                    <div class="ibox-tools">
                        <a class="collapse-link" id="nav">
                            <i class="fa fa-chevron-down" style="color:white"></i>
                        </a>
                    </div>
                </div>
                <div class="ibox-content">
                    <div class="row"><hr>
                        <div class="col-md-4">
                            <div class="m-b-sm">
                                <img alt="image" class="img-circle img-responsive" src="{% static 'img/FaviconUNAB.png' %}">
                            </div>
                        </div>
                        <div class="col-md-8" id="detalles_proyecto">
                        </div>
                    </div><hr>
                    <div class="row">
                        <div class="col-md-12" id="cupos">
                            <strong>Cupos 1/1</strong>
                            <div class="progress progress-striped active">
                                <div style="width: 100%" aria-valuemax="100" aria-valuemin="0" aria-valuenow="100" role="progressbar" class="progress-bar progress-bar-navy">
                                    <span class="sr-only">40% Complete (success)</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <strong>Descripción</strong>
                            <div class="well">
                              <text id="description_project"></text>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <hr>
                            <h3 class="text-center">Lista de Postulantes</h3>
                            <input type="text" class="form-control input-sm m-b-xs" id="filter"
                                   placeholder="Buscar propuesta de proyecto">
                            <div class="project-list" style="max-height: 450px; width: 100%; margin: 0; overflow-y: auto;">
                                <table class="table table-striped table-hover">
                                    <tbody id="postulaciones">
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>    
</div>

{% endblock content %}



{% block javascript %}

<script>
    
$(document).ready(function(){
    $(".detalle").click(function(){
        $( "#nav" ).trigger( "click" );
        var project_id = this.getAttribute('data-id');
        data = {
                project_id : project_id,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
        $.post("{% url 'project_detail' %}",data,function(response){
            $('#titulo').html(response.titulo);
            $('#description_project').html(response.descripcion);
            $('#detalles_proyecto').html('<h3>Detalles del Proyecto</h3><strong>Facultad: ' + response.facultad + '</strong><br><strong>Carrera: ' + response.carrera + '</strong> <br><strong>Autor: ' + response.autor + '</strong><br><strong>Profesor: ' + response.profesor + '</strong>');
            $('#cupos').html('<strong>Cupos ' + response.cupos_disponible + '/' + response.cupos_total + '</strong><div class="progress progress-striped active">  <div style="width:' + response.porcentaje + '%" aria-valuemax="100" aria-valuemin="0" aria-valuenow="100" role="progressbar" class="progress-bar progress-bar-navy"><span class="sr-only">40% Complete (success)</span></div></div>');
            $('#postulaciones').html(response.postulaciones);
        });
        $( "#nav" ).trigger( "click" );
    });
});

</script>


{% endblock javascript %}